// Code generated by protoc-gen-go-http. DO NOT EDIT.
// Source: build.proto

package pb

import (
	context "context"
	http1 "net/http"
	strings "strings"

	transport "github.com/erda-project/erda-infra/pkg/transport"
	http "github.com/erda-project/erda-infra/pkg/transport/http"
	httprule "github.com/erda-project/erda-infra/pkg/transport/http/httprule"
	runtime "github.com/erda-project/erda-infra/pkg/transport/http/runtime"
	urlenc "github.com/erda-project/erda-infra/pkg/urlenc"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the "github.com/erda-project/erda-infra/pkg/transport/http" package it is being compiled against.
const _ = http.SupportPackageIsVersion1

// BuildServiceHandler is the server API for BuildService service.
type BuildServiceHandler interface {
	// POST /api/build-artifacts/{sha}
	QueryBuildArtifact(context.Context, *BuildArtifactQueryRequest) (*BuildArtifactQueryResponse, error)
	// POST /api/build-artifacts
	RegisterBuildArtifact(context.Context, *BuildArtifactRegisterRequest) (*BuildArtifactRegisterResponse, error)
	// POST /api/build-caches
	ReportBuildCache(context.Context, *BuildCacheReportRequest) (*BuildCacheReportResponse, error)
}

// RegisterBuildServiceHandler register BuildServiceHandler to http.Router.
func RegisterBuildServiceHandler(r http.Router, srv BuildServiceHandler, opts ...http.HandleOption) {
	h := http.DefaultHandleOptions()
	for _, op := range opts {
		op(h)
	}
	encodeFunc := func(fn func(http1.ResponseWriter, *http1.Request) (interface{}, error)) http.HandlerFunc {
		handler := func(w http1.ResponseWriter, r *http1.Request) {
			out, err := fn(w, r)
			if err != nil {
				h.Error(w, r, err)
				return
			}
			if err := h.Encode(w, r, out); err != nil {
				h.Error(w, r, err)
			}
		}
		if h.HTTPInterceptor != nil {
			handler = h.HTTPInterceptor(handler)
		}
		return handler
	}

	add_QueryBuildArtifact := func(method, path string, fn func(context.Context, *BuildArtifactQueryRequest) (*BuildArtifactQueryResponse, error)) {
		handler := func(ctx context.Context, req interface{}) (interface{}, error) {
			return fn(ctx, req.(*BuildArtifactQueryRequest))
		}
		var QueryBuildArtifact_info transport.ServiceInfo
		if h.Interceptor != nil {
			QueryBuildArtifact_info = transport.NewServiceInfo("erda.core.pipeline.build.BuildService", "QueryBuildArtifact", srv)
			handler = h.Interceptor(handler)
		}
		compiler, _ := httprule.Parse(path)
		temp := compiler.Compile()
		pattern, _ := runtime.NewPattern(httprule.SupportPackageIsVersion1, temp.OpCodes, temp.Pool, temp.Verb)
		r.Add(method, path, encodeFunc(
			func(w http1.ResponseWriter, r *http1.Request) (interface{}, error) {
				ctx := http.WithRequest(r.Context(), r)
				ctx = transport.WithHTTPHeaderForServer(ctx, r.Header)
				if h.Interceptor != nil {
					ctx = context.WithValue(ctx, transport.ServiceInfoContextKey, QueryBuildArtifact_info)
				}
				r = r.WithContext(ctx)
				var in BuildArtifactQueryRequest
				if err := h.Decode(r, &in); err != nil {
					return nil, err
				}
				var input interface{} = &in
				if u, ok := (input).(urlenc.URLValuesUnmarshaler); ok {
					if err := u.UnmarshalURLValues("", r.URL.Query()); err != nil {
						return nil, err
					}
				}
				path := r.URL.Path
				if len(path) > 0 {
					components := strings.Split(path[1:], "/")
					last := len(components) - 1
					var verb string
					if idx := strings.LastIndex(components[last], ":"); idx >= 0 {
						c := components[last]
						components[last], verb = c[:idx], c[idx+1:]
					}
					vars, err := pattern.Match(components, verb)
					if err != nil {
						return nil, err
					}
					for k, val := range vars {
						switch k {
						case "sha":
							in.Sha = val
						}
					}
				}
				out, err := handler(ctx, &in)
				if err != nil {
					return out, err
				}
				return out, nil
			}),
		)
	}

	add_RegisterBuildArtifact := func(method, path string, fn func(context.Context, *BuildArtifactRegisterRequest) (*BuildArtifactRegisterResponse, error)) {
		handler := func(ctx context.Context, req interface{}) (interface{}, error) {
			return fn(ctx, req.(*BuildArtifactRegisterRequest))
		}
		var RegisterBuildArtifact_info transport.ServiceInfo
		if h.Interceptor != nil {
			RegisterBuildArtifact_info = transport.NewServiceInfo("erda.core.pipeline.build.BuildService", "RegisterBuildArtifact", srv)
			handler = h.Interceptor(handler)
		}
		r.Add(method, path, encodeFunc(
			func(w http1.ResponseWriter, r *http1.Request) (interface{}, error) {
				ctx := http.WithRequest(r.Context(), r)
				ctx = transport.WithHTTPHeaderForServer(ctx, r.Header)
				if h.Interceptor != nil {
					ctx = context.WithValue(ctx, transport.ServiceInfoContextKey, RegisterBuildArtifact_info)
				}
				r = r.WithContext(ctx)
				var in BuildArtifactRegisterRequest
				if err := h.Decode(r, &in); err != nil {
					return nil, err
				}
				var input interface{} = &in
				if u, ok := (input).(urlenc.URLValuesUnmarshaler); ok {
					if err := u.UnmarshalURLValues("", r.URL.Query()); err != nil {
						return nil, err
					}
				}
				out, err := handler(ctx, &in)
				if err != nil {
					return out, err
				}
				return out, nil
			}),
		)
	}

	add_ReportBuildCache := func(method, path string, fn func(context.Context, *BuildCacheReportRequest) (*BuildCacheReportResponse, error)) {
		handler := func(ctx context.Context, req interface{}) (interface{}, error) {
			return fn(ctx, req.(*BuildCacheReportRequest))
		}
		var ReportBuildCache_info transport.ServiceInfo
		if h.Interceptor != nil {
			ReportBuildCache_info = transport.NewServiceInfo("erda.core.pipeline.build.BuildService", "ReportBuildCache", srv)
			handler = h.Interceptor(handler)
		}
		r.Add(method, path, encodeFunc(
			func(w http1.ResponseWriter, r *http1.Request) (interface{}, error) {
				ctx := http.WithRequest(r.Context(), r)
				ctx = transport.WithHTTPHeaderForServer(ctx, r.Header)
				if h.Interceptor != nil {
					ctx = context.WithValue(ctx, transport.ServiceInfoContextKey, ReportBuildCache_info)
				}
				r = r.WithContext(ctx)
				var in BuildCacheReportRequest
				if err := h.Decode(r, &in); err != nil {
					return nil, err
				}
				var input interface{} = &in
				if u, ok := (input).(urlenc.URLValuesUnmarshaler); ok {
					if err := u.UnmarshalURLValues("", r.URL.Query()); err != nil {
						return nil, err
					}
				}
				out, err := handler(ctx, &in)
				if err != nil {
					return out, err
				}
				return out, nil
			}),
		)
	}

	add_QueryBuildArtifact("POST", "/api/build-artifacts/{sha}", srv.QueryBuildArtifact)
	add_RegisterBuildArtifact("POST", "/api/build-artifacts", srv.RegisterBuildArtifact)
	add_ReportBuildCache("POST", "/api/build-caches", srv.ReportBuildCache)
}
