-- MIGRATION_BASE

CREATE TABLE `sp_metric_expression`
(
    `id`         int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
    `attributes` varchar(1024) NOT NULL DEFAULT '' COMMENT '扩展信息',
    `expression` varchar(4096) NOT NULL DEFAULT '' COMMENT '聚合表达式',
    `version`    varchar(64)   NOT NULL DEFAULT '2.0' COMMENT '版本',
    `enable`     int(1) NOT NULL DEFAULT '1' COMMENT '开关',
    `created`    datetime      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updated`    datetime      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=140 DEFAULT CHARSET=utf8mb4 COMMENT='系统内置metrics表达式表';


INSERT INTO `sp_metric_expression` (`id`, `attributes`, `expression`, `version`, `enable`, `created`, `updated`)
VALUES (1, '{}',
        '{\"metric\":\"application_http\",\"window\":3,\"filter\":{},\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_workspace\":\"#target_workspace\",\"target_terminus_key\":\"#target_terminus_key\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_instance_id\":\"#target_instance_id\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_http_service\",\"outputs\":[\"metric\"]}',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (2, '{}',
        '{\"metric\":\"application_rpc\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_workspace\":\"#target_workspace\",\"target_terminus_key\":\"#target_terminus_key\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_instance_id\":\"#target_instance_id\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_rpc_service\",\"outputs\":[\"metric\"]}\n',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (3, '{}',
        '{\"metric\":\"application_db\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_db_service\",\"outputs\":[\"metric\"]}',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (4, '{}',
        '{\"metric\":\"application_cache\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_cache_service\",\"outputs\":[\"metric\"]}',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (5, '{}',
        '{\"metric\":\"application_mq\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_workspace\":\"#target_workspace\",\"target_terminus_key\":\"#target_terminus_key\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_instance_id\":\"#target_instance_id\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_mq_service\",\"outputs\":[\"metric\"]}',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (6, '{}',
        '{\"metric\":\"jvm_memory\",\"window\":3,\"filter\":{},\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"functions\":[{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"select\":{\"terminus_key\":\"#terminus_key\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"workspace\":\"#workspace\",\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\"},\"alias\":\"service_node\",\"outputs\":[\"metric\"]}',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (7, '{}',
        '{\"metric\":\"nodejs_memory\",\"window\":3,\"filter\":{},\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"functions\":[{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"select\":{\"terminus_key\":\"#terminus_key\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"workspace\":\"#workspace\",\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\"},\"alias\":\"service_node\",\"outputs\":[\"metric\"]}',
        '2.0', 0, '2019-11-25 16:39:25', '2021-05-28 11:54:53'),
       (8, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (9, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (10, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (11, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (12, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (13, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_id\",\"service_ip\":\"#service_ip\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (14, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_id\",\"service_ip\":\"#service_ip\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:53', '2021-05-28 11:54:55'),
       (15, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (16, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (17, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (18, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (19, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (20, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (21, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"value\",\"field\":\"tags\"},{\"aggregator\":\"value\",\"field\":\"fields\"},{\"aggregator\":\"value\",\"field\":\"_id\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"host_ip\":\"host_ip\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (22, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:55'),
       (23, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (24, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (25, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (26, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (27, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (28, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (29, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"},{\"aggregator\":\"value\",\"field\":\"_id\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (30, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:55', '2021-05-28 11:54:56'),
       (31, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (32, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (33, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (34, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (35, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (36, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (37, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (38, '{}',
        '{\"alias\":\"ta_device_mobile\",\"filter\":{\"operator\":\"any\",\"tag\":\"registrationTime\"},\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(tag.registrationTime).toDateString() === new Date().toDateString()) { return tag.uid } return \\\"\\\" }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(tag.registrationTime).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return \\\"\\\"}\"}],\"metric\":\"ta_device_mobile\",\"outputs\":[\"metric\"],\"select\":{\"av\":\"#av\",\"br\":\"#br\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (39, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:56', '2021-05-28 11:54:57'),
       (40, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (41, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (42, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (43, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (44, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (45, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (46, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (47, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filter\":{\"operator\":\"any\",\"tag\":\"registrationTime\"},\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (48, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:57', '2021-05-28 11:54:59'),
       (49, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (50, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (51, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (52, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (53, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (54, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (55, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (56, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filter\":{\"operator\":\"any\",\"tag\":\"registrationTime\"},\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (57, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (58, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (59, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (60, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (61, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (62, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (63, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (64, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (65, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (66, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filter\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (67, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (68, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (69, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (70, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (71, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (72, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (73, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (74, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (75, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (76, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (77, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (78, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:54:59', '2021-05-28 11:54:59'),
       (79, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (80, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (81, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (82, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (83, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (84, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (85, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\",\"org_name\":\"#org_name\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (86, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (87, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (88, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:00', '2021-05-28 11:55:01'),
       (89, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (90, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (91, '{}',
        '{\"alias\":\"application_http_service\",\"filters\":[{\"operator\":\"null\",\"tag\":\"health_check\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (92, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (93, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (94, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (95, '{}',
        '{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\",\"org_name\":\"#org_name\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (96, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (97, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (98, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:01', '2021-05-28 11:55:05'),
       (99, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (100, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (101, '{}',
        '{\"alias\":\"application_http_service\",\"filters\":[{\"operator\":\"null\",\"tag\":\"health_check\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (102, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (103, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (104, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (105, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (106, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (107, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 11:55:05', '2021-05-28 13:53:57'),
       (108, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (109, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (110, '{}',
        '{\"alias\":\"application_http_service\",\"filters\":[{\"operator\":\"null\",\"tag\":\"health_check\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (111, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (112, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (113, '{}',
        '{\"alias\":\"component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"component_group\",\"value\":\"component\"}],\"functions\":[{\"aggregator\":\"values\",\"alias\":\"__all_component_status\",\"field\":\"health_status\",\"field_script\":\"function invoke(field,tag){return field.weight.toString().concat(field.health_status)};\"},{\"aggregator\":\"value\",\"alias\":\"health_status\",\"field\":\"__all_component_status\",\"field_script\":\"function invoke(field,tag){var a=field.__all_component_status;var cnt=[0,0];for(var i=0;i\\u003ca.length;i++){if(a[i]===\\\"00\\\"){cnt[0]++}if(a[i]===\\\"12\\\"){cnt[1]++}}if(cnt[0]===a.length){return 0}else if(0\\u003ccnt[1]\\u0026\\u0026cnt[1]\\u003ca.length){return 2}else if(cnt[1]===a.length){return 3}else{return 1}}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"weight\",\"field_script\":\"function invoke(field,tag){return 1}\"}],\"group\":[\"cluster_name\",\"component_group\"],\"metric\":\"component_status\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"cluster\",\"component_name\":\"cluster_status\",\"org_name\":\"#org_name\"},\"window\":20}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (114, '{}',
        '{\"alias\":\"component_status\",\"filter\":{},\"functions\":[{\"aggregator\":\"values\",\"alias\":\"_all_status\",\"field\":\"health_status\",\"field_script\":\"function invoke(field,tag){return field.weight.toString().concat(field.health_status)};\"},{\"aggregator\":\"value\",\"alias\":\"health_status\",\"field\":\"_all_status\",\"field_script\":\"function invoke(field,tag){var a=field._all_status;var cnt=[0,0];for(var i=0;i\\u003ca.length;i++){if(a[i]===\\\"00\\\"||a[i]===\\\"10\\\"){cnt[0]++}if(a[i]===\\\"12\\\"){cnt[1]++}}if(cnt[0]===a.length){return 0}else if(0\\u003ccnt[1]\\u0026\\u0026cnt[1]\\u003ca.length){return 2}else if(cnt[1]===a.length){return 3}else{return 1}}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"weight\",\"field_script\":\"function invoke(field,tag){return 1}\"}],\"group\":[\"cluster_name\",\"component_group\"],\"metric\":\"leaf_component_status\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"component\",\"component_name\":\"#component_group\",\"org_name\":\"#org_name\"},\"window\":10}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (115, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"alert_type\",\"value\":\"dice_addon\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(tag.level===\\\"FATAL\\\"){return 2}return 1}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){return 0}\"}],\"group\":[\"cluster_name\",\"addon_id\"],\"metric\":\"analyzer-alert\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"dice_addon\",\"component_name\":\"#addon_id\",\"message\":\"#alert_name\",\"org_id\":\"#dice_org_id\",\"org_name\":\"#org_name\"},\"window\":5}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (116, '{}',
        '{\"alias\":\"leaf_component_status\",\"filter\":{},\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"health_status\",\"field_script\":\"function invoke(field,tag){switch(field.status){case\\\"fail\\\":case\\\"unavailable\\\":return 2;case\\\"warning\\\":case\\\"unknown\\\":return 1;default:return 0}};\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"weight\",\"field_script\":\"function invoke(field,tag){var a=new Array(\\\"pipeline\\\",\\\"scheduler\\\",\\\"openapi\\\",\\\"cmdb\\\",\\\"telegraf\\\",\\\"telegraf-platform\\\");if(a.indexOf(tag.dice_component)!=-1){return 1}else{return 0}};\"}],\"group\":[\"cluster_name\",\"dice_component\",\"dice_pod_name\"],\"metric\":\"dice_health\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"dice_component\",\"component_name\":\"#dice_component\",\"message\":\"#message\",\"org_name\":\"#org_name\"},\"window\":5}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (117, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"alert_type\",\"value\":\"kubernetes\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(tag.level===\\\"FATAL\\\"){return 2}return 1}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){if(!tag.component_name){return 0}var a=[\\\"calico\\\",\\\"coredns\\\",\\\"kube-apiserver\\\",\\\"kube-controller-manager\\\",\\\"kube-etcd\\\",\\\"kube-proxy\\\",\\\"kube-scheduler\\\",\\\"nginx-ingress-controller\\\"];for(var i=0;i\\u003ca.length;i++){if(tag.component_name.indexOf(a[i])!==-1){return 1}}return 0}\"}],\"group\":[\"cluster_name\",\"component_name\"],\"metric\":\"analyzer-alert\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"kubernetes\",\"component_name\":\"#component_name\",\"message\":\"#alert_name\",\"org_id\":\"#dice_org_id\",\"org_name\":\"#org_name\"},\"window\":5}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (118, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"alert_type\",\"value\":\"machine\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(tag.level===\\\"FATAL\\\"){return 2}return 1}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){if(!tag.labels){return 0}if(tag.labels.indexOf(\\\"lb\\\")!=-1||tag.labels.indexOf(\\\"master\\\")!=-1){return 1}return 0}\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"analyzer-alert\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"machine\",\"component_name\":\"#host_ip\",\"message\":\"#alert_name\",\"org_id\":\"#dice_org_id\",\"org_name\":\"#org_name\"},\"window\":5}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (119, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":null,\"functions\":[{\"aggregator\":\"value\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(field.status===\\\"ready\\\"){return 0}return 2}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){if(!tag.labels){return 0}if(tag.labels.indexOf(\\\"lb\\\")!=-1||tag.labels.indexOf(\\\"master\\\")!=-1){return 1}return 0}\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_status\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"machine\",\"component_name\":\"#host_ip\",\"message\":\"\",\"org_id\":\"#_metric_scope_id\",\"org_name\":\"#_metric_scope_id\"},\"window\":5}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (120, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (121, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (122, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (123, '{}',
        '{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 0, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (124, '{}',
        '{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_id\":\"#source_service_id\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (125, '{}',
        '{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_id\":\"#source_service_id\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (126, '{}',
        '{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_id\":\"#source_service_id\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_id\":\"#target_service_id\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (127, '{}',
        '{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_id\":\"#source_service_id\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_id\":\"#target_service_id\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (128, '{}',
        '{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_id\":\"#source_service_id\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_id\":\"#target_service_id\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (129, '{}',
        '{\"alias\":\"component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"component_group\",\"value\":\"component\"}],\"functions\":[{\"aggregator\":\"values\",\"alias\":\"__all_component_status\",\"field\":\"health_status\",\"field_script\":\"function invoke(field,tag){return field.weight.toString().concat(field.health_status)};\"},{\"aggregator\":\"value\",\"alias\":\"health_status\",\"field\":\"__all_component_status\",\"field_script\":\"function invoke(field,tag){var a=field.__all_component_status;var cnt=[0,0];for(var i=0;i\\u003ca.length;i++){if(a[i]===\\\"00\\\"){cnt[0]++}if(a[i]===\\\"12\\\"||a[i]===\\\"13\\\"){cnt[1]++}}if(cnt[0]===a.length){return 0}else if(0\\u003ccnt[1]\\u0026\\u0026cnt[1]\\u003ca.length){return 2}else if(cnt[1]===a.length){return 3}else{return 1}}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"weight\",\"field_script\":\"function invoke(field,tag){return 1}\"}],\"group\":[\"cluster_name\",\"component_group\"],\"metric\":\"component_status\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"cluster\",\"component_name\":\"cluster_status\",\"org_name\":\"#org_name\"},\"window\":20}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (130, '{}',
        '{\"alias\":\"component_status\",\"filter\":{},\"functions\":[{\"aggregator\":\"values\",\"alias\":\"_all_status\",\"field\":\"health_status\",\"field_script\":\"function invoke(field,tag){return field.weight.toString().concat(field.health_status)};\"},{\"aggregator\":\"value\",\"alias\":\"health_status\",\"field\":\"_all_status\",\"field_script\":\"function invoke(field,tag){var a=field._all_status;var cnt=[0,0];for(var i=0;i\\u003ca.length;i++){if(a[i]===\\\"00\\\"||a[i]===\\\"10\\\"){cnt[0]++}if(a[i]===\\\"12\\\"){cnt[1]++}}if(cnt[0]===a.length){return 0}else if(0\\u003ccnt[1]){return 3}else{return 1}}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"weight\",\"field_script\":\"function invoke(field,tag){return 1}\"}],\"group\":[\"cluster_name\",\"component_group\"],\"metric\":\"leaf_component_status\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"component\",\"component_name\":\"#component_group\",\"org_name\":\"#org_name\"},\"window\":10}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (131, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"alert_type\",\"value\":\"dice_addon\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(tag.level===\\\"FATAL\\\"){return 2}return 1}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){return 0}\"}],\"group\":[\"cluster_name\",\"addon_id\"],\"metric\":\"analyzer-alert\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"dice_addon\",\"component_name\":\"#addon_id\",\"message\":\"#alert_name\",\"org_id\":\"#dice_org_id\",\"org_name\":\"#org_name\"},\"window\":8,\"windowBehavior\":\"allowedLateness\"}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (132, '{}',
        '{\"alias\":\"leaf_component_status\",\"filter\":{},\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"health_status\",\"field_script\":\"function invoke(field,tag){switch(field.status){case\\\"fail\\\":case\\\"unavailable\\\":return 2;case\\\"warning\\\":case\\\"unknown\\\":return 1;default:return 0}};\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"weight\",\"field_script\":\"function invoke(field,tag){var a=new Array(\\\"pipeline\\\",\\\"scheduler\\\",\\\"openapi\\\",\\\"cmdb\\\",\\\"telegraf\\\",\\\"telegraf-platform\\\");if(a.indexOf(tag.dice_component)!=-1){return 1}else{return 0}};\"}],\"group\":[\"cluster_name\",\"dice_component\",\"dice_pod_name\"],\"metric\":\"dice_health\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"dice_component\",\"component_name\":\"#dice_component\",\"message\":\"#message\",\"org_name\":\"#org_name\"},\"window\":8,\"windowBehavior\":\"allowedLateness\"}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (133, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"alert_type\",\"value\":\"kubernetes\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(tag.level===\\\"FATAL\\\"){return 2}return 1}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){if(!tag.component_name){return 0}var a=[\\\"calico\\\",\\\"coredns\\\",\\\"kube-apiserver\\\",\\\"kube-controller-manager\\\",\\\"kube-etcd\\\",\\\"kube-proxy\\\",\\\"kube-scheduler\\\",\\\"nginx-ingress-controller\\\"];for(var i=0;i\\u003ca.length;i++){if(tag.component_name.indexOf(a[i])!==-1){return 1}}return 0}\"}],\"group\":[\"cluster_name\",\"component_name\"],\"metric\":\"analyzer-alert\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"kubernetes\",\"component_name\":\"#component_name\",\"message\":\"#alert_name\",\"org_id\":\"#dice_org_id\",\"org_name\":\"#org_name\"},\"window\":8,\"windowBehavior\":\"allowedLateness\"}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (134, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"alert_type\",\"value\":\"machine\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(tag.level===\\\"FATAL\\\"){return 2}return 1}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){if(!tag.labels){return 0}if(tag.labels.indexOf(\\\"lb\\\")!==-1||tag.labels.indexOf(\\\"master\\\")!==-1){return 1}return 0}\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"analyzer-alert\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"machine\",\"component_name\":\"#host_ip\",\"message\":\"#alert_name\",\"org_name\":\"#_metric_scope_id\"},\"window\":8,\"windowBehavior\":\"allowedLateness\"}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (135, '{}',
        '{\"alias\":\"leaf_component_status\",\"filters\":null,\"functions\":[{\"aggregator\":\"value\",\"alias\":\"health_status\",\"field\":\"__level\",\"field_script\":\"function invoke(field,tag){if(field.status===\\\"ready\\\"){return 0}return 2}\"},{\"aggregator\":\"value\",\"alias\":\"weight\",\"field\":\"__weight\",\"field_script\":\"function invoke(field,tag){if(!tag.labels){return 0}if(tag.labels.indexOf(\\\"lb\\\")!=-1||tag.labels.indexOf(\\\"master\\\")!=-1){return 1}return 0}\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_status\",\"outputs\":[\"metric\"],\"select\":{\"_meta\":\"#_meta\",\"_metric_scope\":\"#_metric_scope\",\"_metric_scope_id\":\"#_metric_scope_id\",\"cluster_name\":\"#cluster_name\",\"component_group\":\"machine\",\"component_name\":\"#host_ip\",\"message\":\"\",\"org_id\":\"#_metric_scope_id\",\"org_name\":\"#_metric_scope_id\"},\"window\":8,\"windowBehavior\":\"allowedLateness\"}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (136, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (137, '{}',
        '{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (138, '{}',
        '{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57'),
       (139, '{}',
        '{\"alias\":\"trace\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"alias\":\"start_time\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"alias\":\"end_time\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"alias\":\"components\",\"field\":\"components\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"alias\":\"application_names\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"alias\":\"applications_ids\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"alias\":\"service_names\",\"field\":\"service_names\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"},{\"aggregator\":\"distinct\",\"alias\":\"service_ids\",\"field\":\"service_ids\",\"field_script\":\"function invoke(field, tag){ return tag.service_id; }\"},{\"aggregator\":\"distinct\",\"alias\":\"dubbo_methods\",\"field\":\"dubbo_methods\",\"field_script\":\"function invoke(field, tag){ return tag.dubbo_method; }\"},{\"aggregator\":\"distinct\",\"alias\":\"http_paths\",\"field\":\"http_paths\",\"field_script\":\"function invoke(field, tag){ return tag.http_path; }\"},{\"aggregator\":\"distinct\",\"alias\":\"terminus_keys\",\"field\":\"terminus_keys\",\"field_script\":\"function invoke(field, tag){ return tag.terminus_key; }\"}],\"group\":[\"trace_id\"],\"metric\":\"span\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}',
        '3.0', 1, '2021-05-28 13:53:57', '2021-05-28 13:53:57');

